org.eclipse.january.dataset

## Enum Comparisons.Monotonicity

- java.lang.Object
- - java.lang.Enum<Comparisons.Monotonicity>
  - - org.eclipse.january.dataset.Comparisons.Monotonicity

- All Implemented Interfaces:
    Serializable, Comparable<Comparisons.Monotonicity>
  Enclosing class:
    Comparisons

      public static enum Comparisons.Monotonicity
      extends Enum<Comparisons.Monotonicity>

  Enumeration of monotonicity. NaNs are ignored or considered not equal

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_EQUAL` All equal: `x_0 == x_1 == x_2 ...`
    `NONDECREASING` Non-decreasing or weakly increasing `x_0 <= x_1 <= x_2 ...`
    `NONINCREASING` Non-increasing or weakly decreasing `x_0 >= x_1 >= x_2 ...`
    `NOT_ORDERED` No order: `x_0 != x_1 != x_2 ...`
    `STRICTLY_DECREASING` Strictly decreasing `x_0 > x_1 > x_2 ...`
    `STRICTLY_INCREASING` Strictly increasing `x_0 < x_1 < x_2 ...`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Comparisons.Monotonicity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Comparisons.Monotonicity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_ORDERED

          public static final Comparisons.Monotonicity NOT_ORDERED

      No order: `x_0 != x_1 != x_2 ...`

    - #### ALL_EQUAL

          public static final Comparisons.Monotonicity ALL_EQUAL

      All equal: `x_0 == x_1 == x_2 ...`

    - #### STRICTLY_DECREASING

          public static final Comparisons.Monotonicity STRICTLY_DECREASING

      Strictly decreasing `x_0 > x_1 > x_2 ...`

    - #### NONINCREASING

          public static final Comparisons.Monotonicity NONINCREASING

      Non-increasing or weakly decreasing `x_0 >= x_1 >= x_2 ...`

    - #### NONDECREASING

          public static final Comparisons.Monotonicity NONDECREASING

      Non-decreasing or weakly increasing `x_0 <= x_1 <= x_2 ...`

    - #### STRICTLY_INCREASING

          public static final Comparisons.Monotonicity STRICTLY_INCREASING

      Strictly increasing `x_0 < x_1 < x_2 ...`

  - ### Method Detail

    - #### values

          public static Comparisons.Monotonicity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Comparisons.Monotonicity c : Comparisons.Monotonicity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Comparisons.Monotonicity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.